<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-12
 * Time: 19:15
 */

namespace App\Transformers;
use App\Models\MemberGroup;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;
use Tymon\JWTAuth\Facades\JWTAuth;

class DetailMemberGroupInfoTransformer extends TransformerAbstract{
    public function transform(MemberGroup $memberGroup)
    {
        $memberList = [];
        foreach ($memberGroup->mgi as $key=>$value){
            $member = $this->getUser($value->uid);
            $value['uid'] = $member['uid'];
            $value['username'] = $member['username'];
            $value['avatar'] = $member['avatar'];
            $value['type'] = $member['type'];
            $value['post_count'] = $member['post_count'];
            $value['share_count'] = $member['share_count'];
            $value['fans_count'] = $member['fans_count'];
            $memberList[] = $value;
        }
        return [
            'id' => $memberGroup['id'],
            'name' => $memberGroup['name'],
            'is_suggest' => $memberGroup['is_suggest'],
            'created_at' => Carbon::parse($memberGroup['created_at'])->toDateTimeString(),
            'member_list'=>$memberList,
        ];
    }
    public function getUser($id) {
        try {
            $url = config("customer.manage_service_url").'/user/memberView';
            //$url = 'https://manage.dev.caihongxingqiu.com/user/memberView';
            $array = [
                'json' => ['uid'=>$id], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            $res = http($url,$array,true,'get');
            return $res;
        } catch (\Exception $e) {
            return [];
        }
    }
}