<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCmsContentTemplateTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_content_template', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('city_id')->comment('城市ID');
            $table->string('city_name',20)->comment('城市名称');
            $table->string('title',200)->comment('模板名称');
            $table->tinyInteger('apply_type')->default(1)->comment('对应模板:0:团购首页;1:菜市场首页');
            $table->tinyInteger('is_open')->default(0)->comment('是否启用:0:禁用;1:启用');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('cms_content_template');
    }
}
