<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCmsFloorTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cms_floor', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 20)->comment('社区-楼层名称');
            $table->integer('floor_location')->comment('社区-楼层位置');
            $table->string('group_ids')->nullable()->comment('社区-楼层类型对应的组id');
            $table->tinyInteger('floor_type')->nullable()->comment('社区-楼层类型:0:banner;1.推荐关注;2.热门视频;3.推荐话题');
            $table->tinyInteger('is_open')->default(0)->comment('社区-是否开启：0.否，1.是');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cms_floor');
    }
}
