<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTopicGroupTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('topic_group', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name')->nullable()->comment('话题名称');
            $table->tinyInteger('status')->default(1)->comment('状态 1正常 0禁用');
            $table->string('img')->nullable()->comment('图片');
            $table->string('desc')->comment('介绍');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('topic_group');
    }
}
